# $Revision: 1.11 $, $Date: 2008/08/13 15:17:31 $
%define		subver	dev_r3158
%define		rel		4
Summary:	Plugin for administering Trac projects through the web interface
Summary(pl.UTF-8):	Wtyczka do administracji projektami Traca przez interfejs WWW
Name:		trac-plugin-webadmin
Version:	0.1.2
Release:	0.%{subver}.%{rel}
License:	distributable
Group:		Applications/WWW
Source0:	http://rakin.eu.org/trac-plugins/%{name}-%{version}%{subver}.tar.gz
# Source0-md5:	2635ffb44e2e342cec17e9d87710f558
URL:		http://projects.edgewall.com/trac/wiki/WebAdmin
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	rpmbuild(macros) >= 1.194
%pyrequires_eq  python-modules
Requires:	trac
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Plugin for administering your Trac projects through the web interface.
This plugin is still under development, but it already supports most
of the tasks performed by trac-admin.

%description -l pl.UTF-8
Wtyczka dla Traca służąca do administracji projektami poprzez
interfejs WWW. Jest ciągle rozwijana, jednak udostepnia już większą
część funkcjonalości programu trac-admin.

%prep
%setup -q -n webadmin
find -name .svn | xargs rm -rf

%build
%{__python} setup.py build
%{__python} setup.py egg_info

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--single-version-externally-managed \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" = "1" ]; then
	%banner -e %{name} <<-'EOF'
	Don't forget to enable webadmin in conf/trac.ini:

	[components]
	webadmin.* = enabled
EOF
#' - vim
fi

%files
%defattr(644,root,root,755)
%doc COPYING
%{py_sitescriptdir}/webadmin
%{py_sitescriptdir}/TracWebAdmin-*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: trac-plugin-webadmin.spec,v $
Revision 1.11  2008/08/13 15:17:31  glen
- BR: python-setuptools, fix banner; rel 4

Revision 1.10  2008/08/06 14:51:28  glen
- relup gone mad

Revision 1.9  2008/08/06 14:50:39  glen
- rel .3

Revision 1.8  2008-05-29 11:50:45  glen
- typo; rel 2

Revision 1.7  2008-05-29 09:35:26  glen
- add banner of install setup; rel 2

Revision 1.6  2008-05-26 12:43:48  glen
- use python macro, remove trash after %changelog

Revision 1.5  2008-05-26 12:26:29  glen
- cosmetics

Revision 1.4  2007-02-12 22:09:18  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.2  2006/04/21 06:30:38  qboosh
- pl fixes

Revision 1.1  2006/04/16 07:49:22  radzio
- initial release
